summaryrefslogtreecommitdiffstats
path: root/MAKEALL
diff options
context:
space:
mode:
authorMasahiro Yamada <yamada.m@jp.panasonic.com>2014-07-30 14:08:21 +0900
committerTom Rini <trini@ti.com>2014-07-30 14:42:02 -0400
commitbb6da87d7eba1bbd51c98a4912ee4e099d79a639 (patch)
treec043f8ebc78496afed3cd53eece27adfffe46f7a /MAKEALL
parenta2580ebb72af57a1b47757ecd3450caca97cdaeb (diff)
downloadtalos-obmc-uboot-bb6da87d7eba1bbd51c98a4912ee4e099d79a639.tar.gz
talos-obmc-uboot-bb6da87d7eba1bbd51c98a4912ee4e099d79a639.zip
MAKEALL: adjust for Kconfig
- Use "make <board>_defconfig" instead of "make <board>_config". - Invoke tools/genboardscfg.py to generate boards.cfg when it is missing. - Show "Building ${BOARD_NAME} board..." message. (Prior to Kconfig, instead, mkconfig script displayed "Configuring for ${BOARD_NAME} board..." but it was removed.) Without this message, we cannot know which board is currently being built. - Do not show "# configuration written to .config". This message is useless and just annoying for MAKEALL. Signed-off-by: Masahiro Yamada <yamada.m@jp.panasonic.com> Acked-by: Simon Glass <sjg@chromium.org>
Diffstat (limited to 'MAKEALL')
-rwxr-xr-xMAKEALL16
1 files changed, 13 insertions, 3 deletions
diff --git a/MAKEALL b/MAKEALL
index ed85b7c075..929fe884c5 100755
--- a/MAKEALL
+++ b/MAKEALL
@@ -171,6 +171,14 @@ GNU_MAKE=$(scripts/show-gnu-make) || {
# echo "Remaining arguments:"
# for arg do echo '--> '"\`$arg'" ; done
+if [ ! -r boards.cfg ]; then
+ echo "Could not find boards.cfg"
+ tools/genboardscfg.py || {
+ echo "Failed to generate boards.cfg" >&2
+ exit 1
+ }
+fi
+
FILTER="\$1 !~ /^#/"
[ "$opt_a" ] && FILTER="${FILTER} && $opt_a"
[ "$opt_c" ] && FILTER="${FILTER} && $opt_c"
@@ -512,9 +520,9 @@ get_target_location() {
set ${line}
- CONFIG_NAME="${7%_config}"
+ CONFIG_NAME="${7%_defconfig}"
- [ "${BOARD_NAME}" ] || BOARD_NAME="${7%_config}"
+ [ "${BOARD_NAME}" ] || BOARD_NAME="${7%_defconfig}"
if [ $# -gt 5 ]; then
if [ "$6" = "-" ] ; then
@@ -651,7 +659,9 @@ build_target() {
fi
${MAKE} distclean >/dev/null
- ${MAKE} -s ${target}_config
+
+ echo "Building ${target} board..."
+ ${MAKE} -s ${target}_defconfig >/dev/null
${MAKE} ${JOBS} ${CHECK} all \
>${LOG_DIR}/$target.MAKELOG 2> ${LOG_DIR}/$target.ERR
OpenPOWER on IntegriCloud